package student.tutorial;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class frmgame6 extends Activity implements B4AActivity{
	public static frmgame6 mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "student.tutorial", "student.tutorial.frmgame6");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (frmgame6).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "student.tutorial", "student.tutorial.frmgame6");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "student.tutorial.frmgame6", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (frmgame6) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (frmgame6) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return frmgame6.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (frmgame6) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (frmgame6) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static String _sselect = "";
public anywheresoftware.b4a.objects.ImageViewWrapper _img1 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img2 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img3 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img4 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img5 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img6 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img7 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img8 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img9 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img10 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img11 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img12 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imgbackground = null;
public student.tutorial.main _main = null;
public student.tutorial.frmgame1 _frmgame1 = null;
public student.tutorial.common _common = null;
public student.tutorial.settings _settings = null;
public student.tutorial.frmgame1_result _frmgame1_result = null;
public student.tutorial.frmgame1_final _frmgame1_final = null;
public student.tutorial.frmgame2 _frmgame2 = null;
public student.tutorial.frmgame3 _frmgame3 = null;
public student.tutorial.frmgame4 _frmgame4 = null;
public student.tutorial.frmgame5 _frmgame5 = null;
public student.tutorial.frmgame7 _frmgame7 = null;
public student.tutorial.frmcontact _frmcontact = null;
public student.tutorial.frmgame8 _frmgame8 = null;
public student.tutorial.frmabout _frmabout = null;
public student.tutorial.frmgame9 _frmgame9 = null;
public student.tutorial.setting _setting = null;
public student.tutorial.frmstatistic _frmstatistic = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
String[] _slist = null;
int _i1 = 0;
 //BA.debugLineNum = 18;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 19;BA.debugLine="Activity.LoadLayout(\"game5\")";
mostCurrent._activity.LoadLayout("game5",mostCurrent.activityBA);
 //BA.debugLineNum = 20;BA.debugLine="common.changeTheme(imgbackground)";
mostCurrent._common._changetheme(mostCurrent.activityBA,mostCurrent._imgbackground);
 //BA.debugLineNum = 21;BA.debugLine="Dim sList(12) As String";
_slist = new String[(int) (12)];
java.util.Arrays.fill(_slist,"");
 //BA.debugLineNum = 22;BA.debugLine="sList(0) = \"cat\"";
_slist[(int) (0)] = "cat";
 //BA.debugLineNum = 23;BA.debugLine="sList(1) = \"chicken\"";
_slist[(int) (1)] = "chicken";
 //BA.debugLineNum = 24;BA.debugLine="sList(2) = \"cow\"";
_slist[(int) (2)] = "cow";
 //BA.debugLineNum = 25;BA.debugLine="sList(3) = \"dog\"";
_slist[(int) (3)] = "dog";
 //BA.debugLineNum = 26;BA.debugLine="sList(4) = \"duck\"";
_slist[(int) (4)] = "duck";
 //BA.debugLineNum = 27;BA.debugLine="sList(5) = \"elephant\"";
_slist[(int) (5)] = "elephant";
 //BA.debugLineNum = 28;BA.debugLine="sList(6) = \"ghorbaghe\"";
_slist[(int) (6)] = "ghorbaghe";
 //BA.debugLineNum = 29;BA.debugLine="sList(7) = \"horse\"";
_slist[(int) (7)] = "horse";
 //BA.debugLineNum = 30;BA.debugLine="sList(8) = \"joghd\"";
_slist[(int) (8)] = "joghd";
 //BA.debugLineNum = 31;BA.debugLine="sList(9) = \"khar\"";
_slist[(int) (9)] = "khar";
 //BA.debugLineNum = 32;BA.debugLine="sList(10) = \"lion\"";
_slist[(int) (10)] = "lion";
 //BA.debugLineNum = 33;BA.debugLine="sList(11) = \"monkey\"";
_slist[(int) (11)] = "monkey";
 //BA.debugLineNum = 34;BA.debugLine="Dim i1 As Int";
_i1 = 0;
 //BA.debugLineNum = 35;BA.debugLine="i1 = Rnd(0,11)";
_i1 = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (11));
 //BA.debugLineNum = 36;BA.debugLine="sSelect = sList(i1)";
mostCurrent._sselect = _slist[_i1];
 //BA.debugLineNum = 37;BA.debugLine="common.playAudio(sSelect & \".mp3\")";
mostCurrent._common._playaudio(mostCurrent.activityBA,mostCurrent._sselect+".mp3");
 //BA.debugLineNum = 50;BA.debugLine="ToastMessageShow(\"شروع شد\",False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("شروع شد",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 51;BA.debugLine="loadMenu";
_loadmenu();
 //BA.debugLineNum = 52;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 139;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 140;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 //BA.debugLineNum = 141;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 142;BA.debugLine="common.stopAudio";
mostCurrent._common._stopaudio(mostCurrent.activityBA);
 //BA.debugLineNum = 143;BA.debugLine="StartActivity(Main)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._main.getObject()));
 };
 //BA.debugLineNum = 145;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_MENU Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_MENU) { 
 //BA.debugLineNum = 146;BA.debugLine="Activity.OpenMenu";
mostCurrent._activity.OpenMenu();
 };
 //BA.debugLineNum = 148;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 78;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 80;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 74;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 76;BA.debugLine="End Sub";
return "";
}
public static String  _btnabout_click() throws Exception{
 //BA.debugLineNum = 62;BA.debugLine="Sub btnabout_Click";
 //BA.debugLineNum = 63;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 64;BA.debugLine="StartActivity(frmabout)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmabout.getObject()));
 //BA.debugLineNum = 65;BA.debugLine="End Sub";
return "";
}
public static String  _btnsetting_click() throws Exception{
 //BA.debugLineNum = 58;BA.debugLine="Sub btnsetting_Click";
 //BA.debugLineNum = 59;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 60;BA.debugLine="StartActivity(setting)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._setting.getObject()));
 //BA.debugLineNum = 61;BA.debugLine="End Sub";
return "";
}
public static String  _checkitem(anywheresoftware.b4a.objects.ImageViewWrapper _c1) throws Exception{
int _i1 = 0;
 //BA.debugLineNum = 82;BA.debugLine="Sub CheckItem(c1 As ImageView)";
 //BA.debugLineNum = 83;BA.debugLine="Dim i1 As Int";
_i1 = 0;
 //BA.debugLineNum = 84;BA.debugLine="If c1.Tag <> sSelect Then";
if ((_c1.getTag()).equals((Object)(mostCurrent._sselect)) == false) { 
 //BA.debugLineNum = 85;BA.debugLine="common.playAudio(\"wrong.wav\")";
mostCurrent._common._playaudio(mostCurrent.activityBA,"wrong.wav");
 //BA.debugLineNum = 86;BA.debugLine="common.playAnimation(c1,\"scale\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(_c1.getObject())),"scale",(int) (1000));
 //BA.debugLineNum = 87;BA.debugLine="c1.Visible = False";
_c1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 88;BA.debugLine="common.vibrePhone";
mostCurrent._common._vibrephone(mostCurrent.activityBA);
 //BA.debugLineNum = 89;BA.debugLine="ToastMessageShow(\"اشتباه بود\",False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("اشتباه بود",anywheresoftware.b4a.keywords.Common.False);
 }else {
 //BA.debugLineNum = 91;BA.debugLine="common.playAudio(\"win.mp3\")";
mostCurrent._common._playaudio(mostCurrent.activityBA,"win.mp3");
 //BA.debugLineNum = 92;BA.debugLine="i1 = Msgbox2(\"گل گفتی آی گل گفتی مثل یه بلبل گفت";
_i1 = anywheresoftware.b4a.keywords.Common.Msgbox2("گل گفتی آی گل گفتی مثل یه بلبل گفتی","آفرین","دوباره","خروج","",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
 //BA.debugLineNum = 93;BA.debugLine="common.playAnimation(c1,\"scale1\",500)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(_c1.getObject())),"scale1",(int) (500));
 //BA.debugLineNum = 94;BA.debugLine="If i1 = DialogResponse.POSITIVE Then";
if (_i1==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
 //BA.debugLineNum = 95;BA.debugLine="Activity_Create(False)";
_activity_create(anywheresoftware.b4a.keywords.Common.False);
 }else {
 //BA.debugLineNum = 97;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 98;BA.debugLine="StartActivity(Main)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._main.getObject()));
 };
 };
 //BA.debugLineNum = 101;BA.debugLine="End Sub";
return "";
}
public static String  _exit1_click() throws Exception{
int _i = 0;
 //BA.debugLineNum = 66;BA.debugLine="Sub exit1_Click";
 //BA.debugLineNum = 67;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 68;BA.debugLine="i = Msgbox2(\"آیا مایل به خروج هستید؟\",\"خروج\",\"آری\"";
_i = anywheresoftware.b4a.keywords.Common.Msgbox2("آیا مایل به خروج هستید؟","خروج","آری","خیر","",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
 //BA.debugLineNum = 69;BA.debugLine="If i = DialogResponse.POSITIVE Then";
if (_i==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
 //BA.debugLineNum = 70;BA.debugLine="ExitApplication";
anywheresoftware.b4a.keywords.Common.ExitApplication();
 };
 //BA.debugLineNum = 72;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 13;BA.debugLine="Dim sSelect As String";
mostCurrent._sselect = "";
 //BA.debugLineNum = 14;BA.debugLine="Dim img1,img2,img3,img4,img5,img6,img7,img8,img9,";
mostCurrent._img1 = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._img2 = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._img3 = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._img4 = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._img5 = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._img6 = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._img7 = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._img8 = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._img9 = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._img10 = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._img11 = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._img12 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 15;BA.debugLine="Dim imgbackground As ImageView";
mostCurrent._imgbackground = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 16;BA.debugLine="End Sub";
return "";
}
public static String  _img1_click() throws Exception{
 //BA.debugLineNum = 136;BA.debugLine="Sub img1_Click";
 //BA.debugLineNum = 137;BA.debugLine="CheckItem(img1)";
_checkitem(mostCurrent._img1);
 //BA.debugLineNum = 138;BA.debugLine="End Sub";
return "";
}
public static String  _img10_click() throws Exception{
 //BA.debugLineNum = 133;BA.debugLine="Sub img10_Click";
 //BA.debugLineNum = 134;BA.debugLine="CheckItem(img10)";
_checkitem(mostCurrent._img10);
 //BA.debugLineNum = 135;BA.debugLine="End Sub";
return "";
}
public static String  _img11_click() throws Exception{
 //BA.debugLineNum = 130;BA.debugLine="Sub img11_Click";
 //BA.debugLineNum = 131;BA.debugLine="CheckItem(img11)";
_checkitem(mostCurrent._img11);
 //BA.debugLineNum = 132;BA.debugLine="End Sub";
return "";
}
public static String  _img12_click() throws Exception{
 //BA.debugLineNum = 127;BA.debugLine="Sub img12_Click";
 //BA.debugLineNum = 128;BA.debugLine="CheckItem(img12)";
_checkitem(mostCurrent._img12);
 //BA.debugLineNum = 129;BA.debugLine="End Sub";
return "";
}
public static String  _img2_click() throws Exception{
 //BA.debugLineNum = 124;BA.debugLine="Sub img2_Click";
 //BA.debugLineNum = 125;BA.debugLine="CheckItem(img2)";
_checkitem(mostCurrent._img2);
 //BA.debugLineNum = 126;BA.debugLine="End Sub";
return "";
}
public static String  _img3_click() throws Exception{
 //BA.debugLineNum = 121;BA.debugLine="Sub img3_Click";
 //BA.debugLineNum = 122;BA.debugLine="CheckItem(img3)";
_checkitem(mostCurrent._img3);
 //BA.debugLineNum = 123;BA.debugLine="End Sub";
return "";
}
public static String  _img4_click() throws Exception{
 //BA.debugLineNum = 118;BA.debugLine="Sub img4_Click";
 //BA.debugLineNum = 119;BA.debugLine="CheckItem(img4)";
_checkitem(mostCurrent._img4);
 //BA.debugLineNum = 120;BA.debugLine="End Sub";
return "";
}
public static String  _img5_click() throws Exception{
 //BA.debugLineNum = 115;BA.debugLine="Sub img5_Click";
 //BA.debugLineNum = 116;BA.debugLine="CheckItem(img5)";
_checkitem(mostCurrent._img5);
 //BA.debugLineNum = 117;BA.debugLine="End Sub";
return "";
}
public static String  _img6_click() throws Exception{
 //BA.debugLineNum = 112;BA.debugLine="Sub img6_Click";
 //BA.debugLineNum = 113;BA.debugLine="CheckItem(img6)";
_checkitem(mostCurrent._img6);
 //BA.debugLineNum = 114;BA.debugLine="End Sub";
return "";
}
public static String  _img7_click() throws Exception{
 //BA.debugLineNum = 109;BA.debugLine="Sub img7_Click";
 //BA.debugLineNum = 110;BA.debugLine="CheckItem(img7)";
_checkitem(mostCurrent._img7);
 //BA.debugLineNum = 111;BA.debugLine="End Sub";
return "";
}
public static String  _img8_click() throws Exception{
 //BA.debugLineNum = 106;BA.debugLine="Sub img8_Click";
 //BA.debugLineNum = 107;BA.debugLine="CheckItem(img8)";
_checkitem(mostCurrent._img8);
 //BA.debugLineNum = 108;BA.debugLine="End Sub";
return "";
}
public static String  _img9_click() throws Exception{
 //BA.debugLineNum = 103;BA.debugLine="Sub img9_Click";
 //BA.debugLineNum = 104;BA.debugLine="CheckItem(img9)";
_checkitem(mostCurrent._img9);
 //BA.debugLineNum = 105;BA.debugLine="End Sub";
return "";
}
public static String  _loadmenu() throws Exception{
 //BA.debugLineNum = 53;BA.debugLine="Sub loadMenu";
 //BA.debugLineNum = 54;BA.debugLine="Activity.AddMenuItem2(\"تنظیمات\",\"btnsetting\",LoadB";
mostCurrent._activity.AddMenuItem2("تنظیمات","btnsetting",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"setting.png").getObject()));
 //BA.debugLineNum = 55;BA.debugLine="Activity.AddMenuItem2(\"درباره ما\",\"btnabout\",LoadB";
mostCurrent._activity.AddMenuItem2("درباره ما","btnabout",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"about.png").getObject()));
 //BA.debugLineNum = 56;BA.debugLine="Activity.AddMenuItem2(\"خروج\",\"exit1\",LoadBitmap(Fi";
mostCurrent._activity.AddMenuItem2("خروج","exit1",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"exit.png").getObject()));
 //BA.debugLineNum = 57;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 10;BA.debugLine="End Sub";
return "";
}
}
