package student.tutorial;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class setting extends Activity implements B4AActivity{
	public static setting mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "student.tutorial", "student.tutorial.setting");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (setting).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "student.tutorial", "student.tutorial.setting");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "student.tutorial.setting", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (setting) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (setting) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return setting.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (setting) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (setting) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _chkmute = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _chkchangeaudio = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbltitle = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblmute = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblchangeaudio = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btn3 = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rb1 = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rb2 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imgbackground = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rb3 = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rb4 = null;
public student.tutorial.main _main = null;
public student.tutorial.frmgame1 _frmgame1 = null;
public student.tutorial.common _common = null;
public student.tutorial.settings _settings = null;
public student.tutorial.frmgame1_result _frmgame1_result = null;
public student.tutorial.frmgame1_final _frmgame1_final = null;
public student.tutorial.frmgame2 _frmgame2 = null;
public student.tutorial.frmgame3 _frmgame3 = null;
public student.tutorial.frmgame4 _frmgame4 = null;
public student.tutorial.frmgame5 _frmgame5 = null;
public student.tutorial.frmgame6 _frmgame6 = null;
public student.tutorial.frmgame7 _frmgame7 = null;
public student.tutorial.frmcontact _frmcontact = null;
public student.tutorial.frmgame8 _frmgame8 = null;
public student.tutorial.frmabout _frmabout = null;
public student.tutorial.frmgame9 _frmgame9 = null;
public student.tutorial.frmstatistic _frmstatistic = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
String _s1 = "";
String _s2 = "";
 //BA.debugLineNum = 28;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 29;BA.debugLine="Dim s1,s2 As String";
_s1 = "";
_s2 = "";
 //BA.debugLineNum = 30;BA.debugLine="Activity.LoadLayout(\"setting\")";
mostCurrent._activity.LoadLayout("setting",mostCurrent.activityBA);
 //BA.debugLineNum = 31;BA.debugLine="common.changeTheme(imgbackground)";
mostCurrent._common._changetheme(mostCurrent.activityBA,mostCurrent._imgbackground);
 //BA.debugLineNum = 32;BA.debugLine="lblmute.Typeface = Typeface.LoadFromAssets(\"BNazan";
mostCurrent._lblmute.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 33;BA.debugLine="lbltitle.Typeface = Typeface.LoadFromAssets(\"BNaza";
mostCurrent._lbltitle.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 34;BA.debugLine="lblchangeaudio.Typeface = Typeface.LoadFromAssets(";
mostCurrent._lblchangeaudio.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 35;BA.debugLine="s1 = settings.getData(\"settingApp.app\",\"muteBG\")";
_s1 = mostCurrent._settings._getdata(mostCurrent.activityBA,"settingApp.app","muteBG");
 //BA.debugLineNum = 36;BA.debugLine="If s1 <> \"\" Then";
if ((_s1).equals("") == false) { 
 //BA.debugLineNum = 37;BA.debugLine="chkmute.Checked = s1";
mostCurrent._chkmute.setChecked(BA.ObjectToBoolean(_s1));
 };
 //BA.debugLineNum = 39;BA.debugLine="s2 = settings.getData(\"settingApp.app\",\"audioBG\")";
_s2 = mostCurrent._settings._getdata(mostCurrent.activityBA,"settingApp.app","audioBG");
 //BA.debugLineNum = 40;BA.debugLine="If s2 <> \"\" Then";
if ((_s2).equals("") == false) { 
 //BA.debugLineNum = 41;BA.debugLine="chkchangeaudio.Checked = True";
mostCurrent._chkchangeaudio.setChecked(anywheresoftware.b4a.keywords.Common.True);
 };
 //BA.debugLineNum = 43;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 86;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 87;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 //BA.debugLineNum = 88;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 89;BA.debugLine="StartActivity(Main)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._main.getObject()));
 };
 //BA.debugLineNum = 91;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 49;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 51;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 45;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 47;BA.debugLine="End Sub";
return "";
}
public static String  _btn3_click() throws Exception{
 //BA.debugLineNum = 82;BA.debugLine="Sub btn3_Click";
 //BA.debugLineNum = 83;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 84;BA.debugLine="StartActivity(Main)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._main.getObject()));
 //BA.debugLineNum = 85;BA.debugLine="End Sub";
return "";
}
public static String  _chkchangeaudio_checkedchange(boolean _checked) throws Exception{
anywheresoftware.b4a.agraham.dialogs.InputDialog.FileDialog _f1 = null;
 //BA.debugLineNum = 56;BA.debugLine="Sub chkchangeaudio_CheckedChange(Checked As Boolea";
 //BA.debugLineNum = 57;BA.debugLine="If Checked = True Then";
if (_checked==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 58;BA.debugLine="Dim f1 As FileDialog";
_f1 = new anywheresoftware.b4a.agraham.dialogs.InputDialog.FileDialog();
 //BA.debugLineNum = 59;BA.debugLine="f1.FastScroll = True";
_f1.setFastScroll(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 60;BA.debugLine="f1.FileFilter = \".mp3\"";
_f1.setFileFilter(".mp3");
 //BA.debugLineNum = 61;BA.debugLine="f1.Show(\"لطفا آهنگ را انتخاب کنید\",\"انتخاب\",\"انصر";
_f1.Show("لطفا آهنگ را انتخاب کنید","انتخاب","انصراف","",mostCurrent.activityBA,(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null));
 //BA.debugLineNum = 62;BA.debugLine="If f1.Response = DialogResponse.POSITIVE AND f1.C";
if (_f1.getResponse()==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE && (_f1.getChosenName()).equals("") == false) { 
 //BA.debugLineNum = 63;BA.debugLine="settings.saveData(\"settingApp.app\",\"audioBG\",f1.";
mostCurrent._settings._savedata(mostCurrent.activityBA,"settingApp.app","audioBG",_f1.getChosenName());
 //BA.debugLineNum = 64;BA.debugLine="File.Copy(f1.FilePath,f1.ChosenName,File.DirInte";
anywheresoftware.b4a.keywords.Common.File.Copy(_f1.getFilePath(),_f1.getChosenName(),anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_f1.getChosenName());
 //BA.debugLineNum = 65;BA.debugLine="Msgbox(\"آهنگ زمینه بازی تغییر داده شد\",\"پیام\")";
anywheresoftware.b4a.keywords.Common.Msgbox("آهنگ زمینه بازی تغییر داده شد","پیام",mostCurrent.activityBA);
 }else {
 //BA.debugLineNum = 67;BA.debugLine="chkchangeaudio.Checked = False";
mostCurrent._chkchangeaudio.setChecked(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 68;BA.debugLine="Return";
if (true) return "";
 };
 }else {
 //BA.debugLineNum = 71;BA.debugLine="settings.RemoveData(\"settingApp.app\",\"audioBG\")";
mostCurrent._settings._removedata(mostCurrent.activityBA,"settingApp.app","audioBG");
 };
 //BA.debugLineNum = 73;BA.debugLine="End Sub";
return "";
}
public static String  _chkmute_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 53;BA.debugLine="Sub chkmute_CheckedChange(Checked As Boolean)";
 //BA.debugLineNum = 54;BA.debugLine="settings.saveData(\"settingApp.app\",\"muteBG\",chkmut";
mostCurrent._settings._savedata(mostCurrent.activityBA,"settingApp.app","muteBG",BA.ObjectToString(mostCurrent._chkmute.getChecked()));
 //BA.debugLineNum = 55;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 16;BA.debugLine="Dim chkmute As CheckBox";
mostCurrent._chkmute = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
 //BA.debugLineNum = 17;BA.debugLine="Dim chkchangeaudio As CheckBox";
mostCurrent._chkchangeaudio = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
 //BA.debugLineNum = 18;BA.debugLine="Dim lbltitle As Label";
mostCurrent._lbltitle = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 19;BA.debugLine="Dim lblmute As Label";
mostCurrent._lblmute = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Dim lblchangeaudio As Label";
mostCurrent._lblchangeaudio = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Dim btn3 As Button";
mostCurrent._btn3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Dim rb1 As RadioButton";
mostCurrent._rb1 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Dim rb2 As RadioButton";
mostCurrent._rb2 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 24;BA.debugLine="Dim imgbackground As ImageView";
mostCurrent._imgbackground = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Dim rb3,rb4 As RadioButton";
mostCurrent._rb3 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
mostCurrent._rb4 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 26;BA.debugLine="End Sub";
return "";
}
public static String  _lblchangeaudio_click() throws Exception{
 //BA.debugLineNum = 78;BA.debugLine="Sub lblchangeaudio_Click";
 //BA.debugLineNum = 79;BA.debugLine="chkchangeaudio.Checked = Not(chkchangeaudio.Checke";
mostCurrent._chkchangeaudio.setChecked(anywheresoftware.b4a.keywords.Common.Not(mostCurrent._chkchangeaudio.getChecked()));
 //BA.debugLineNum = 80;BA.debugLine="chkchangeaudio_CheckedChange(chkchangeaudio.Check";
_chkchangeaudio_checkedchange(mostCurrent._chkchangeaudio.getChecked());
 //BA.debugLineNum = 81;BA.debugLine="End Sub";
return "";
}
public static String  _lblmute_click() throws Exception{
 //BA.debugLineNum = 74;BA.debugLine="Sub lblmute_Click";
 //BA.debugLineNum = 75;BA.debugLine="chkmute.Checked = Not(chkmute.Checked)";
mostCurrent._chkmute.setChecked(anywheresoftware.b4a.keywords.Common.Not(mostCurrent._chkmute.getChecked()));
 //BA.debugLineNum = 76;BA.debugLine="chkmute_CheckedChange(chkmute.Checked)";
_chkmute_checkedchange(mostCurrent._chkmute.getChecked());
 //BA.debugLineNum = 77;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 10;BA.debugLine="End Sub";
return "";
}
public static String  _rb1_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 92;BA.debugLine="Sub rb1_CheckedChange(Checked As Boolean)";
 //BA.debugLineNum = 93;BA.debugLine="settings.saveData(\"settingApp.app\",\"theme\",\"login";
mostCurrent._settings._savedata(mostCurrent.activityBA,"settingApp.app","theme","login.jpg");
 //BA.debugLineNum = 94;BA.debugLine="End Sub";
return "";
}
public static String  _rb2_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 95;BA.debugLine="Sub rb2_CheckedChange(Checked As Boolean)";
 //BA.debugLineNum = 96;BA.debugLine="settings.saveData(\"settingApp.app\",\"theme\",\"bg2.j";
mostCurrent._settings._savedata(mostCurrent.activityBA,"settingApp.app","theme","bg2.jpg");
 //BA.debugLineNum = 97;BA.debugLine="ToastMessageShow(\"برای نمایش نتیجه تم وارد بازی ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("برای نمایش نتیجه تم وارد بازی شوید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 98;BA.debugLine="End Sub";
return "";
}
public static String  _rb3_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 99;BA.debugLine="Sub rb3_CheckedChange(Checked As Boolean)";
 //BA.debugLineNum = 100;BA.debugLine="settings.saveData(\"settingApp.app\",\"theme\",\"bg3.j";
mostCurrent._settings._savedata(mostCurrent.activityBA,"settingApp.app","theme","bg3.jpg");
 //BA.debugLineNum = 101;BA.debugLine="ToastMessageShow(\"برای نمایش نتیجه تم وارد بازی ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("برای نمایش نتیجه تم وارد بازی شوید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 102;BA.debugLine="End Sub";
return "";
}
public static String  _rb4_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 103;BA.debugLine="Sub rb4_CheckedChange(Checked As Boolean)";
 //BA.debugLineNum = 104;BA.debugLine="settings.saveData(\"settingApp.app\",\"theme\",\"bg4.j";
mostCurrent._settings._savedata(mostCurrent.activityBA,"settingApp.app","theme","bg4.jpg");
 //BA.debugLineNum = 105;BA.debugLine="ToastMessageShow(\"برای نمایش نتیجه تم وارد بازی ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("برای نمایش نتیجه تم وارد بازی شوید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 106;BA.debugLine="End Sub";
return "";
}
}
