package student.tutorial;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class frmgame8 extends Activity implements B4AActivity{
	public static frmgame8 mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "student.tutorial", "student.tutorial.frmgame8");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (frmgame8).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "student.tutorial", "student.tutorial.frmgame8");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "student.tutorial.frmgame8", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (frmgame8) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (frmgame8) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return frmgame8.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (frmgame8) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (frmgame8) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.objects.Timer _tmr1 = null;
public static anywheresoftware.b4a.objects.Timer _tmr2 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper[] _arrpic = null;
public static int[] _arroffset = null;
public static int _stimeout = 0;
public anywheresoftware.b4a.objects.LabelWrapper _lblscore = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblstage = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblsecond = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblseconds = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imgbg1 = null;
public static int _countitem = 0;
public anywheresoftware.b4a.objects.ButtonWrapper _btn1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btn2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btn3 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btn4 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btn5 = null;
public anywheresoftware.b4a.objects.collections.List _lst1 = null;
public static int _activeitem = 0;
public anywheresoftware.b4a.objects.ImageViewWrapper _imgbackground = null;
public student.tutorial.main _main = null;
public student.tutorial.frmgame1 _frmgame1 = null;
public student.tutorial.common _common = null;
public student.tutorial.settings _settings = null;
public student.tutorial.frmgame1_result _frmgame1_result = null;
public student.tutorial.frmgame1_final _frmgame1_final = null;
public student.tutorial.frmgame2 _frmgame2 = null;
public student.tutorial.frmgame3 _frmgame3 = null;
public student.tutorial.frmgame4 _frmgame4 = null;
public student.tutorial.frmgame5 _frmgame5 = null;
public student.tutorial.frmgame6 _frmgame6 = null;
public student.tutorial.frmgame7 _frmgame7 = null;
public student.tutorial.frmcontact _frmcontact = null;
public student.tutorial.frmabout _frmabout = null;
public student.tutorial.frmgame9 _frmgame9 = null;
public student.tutorial.setting _setting = null;
public student.tutorial.frmstatistic _frmstatistic = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 34;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 35;BA.debugLine="Activity.LoadLayout(\"game8\")";
mostCurrent._activity.LoadLayout("game8",mostCurrent.activityBA);
 //BA.debugLineNum = 36;BA.debugLine="common.changeTheme(imgbackground)";
mostCurrent._common._changetheme(mostCurrent.activityBA,mostCurrent._imgbackground);
 //BA.debugLineNum = 37;BA.debugLine="settings.loadDefaultSetting(\"8\")";
mostCurrent._settings._loaddefaultsetting(mostCurrent.activityBA,"8");
 //BA.debugLineNum = 38;BA.debugLine="btn1.Typeface = Typeface.LoadFromAssets(\"BNazanin.";
mostCurrent._btn1.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 39;BA.debugLine="btn2.Typeface = Typeface.LoadFromAssets(\"BNazanin.";
mostCurrent._btn2.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 40;BA.debugLine="btn3.Typeface = Typeface.LoadFromAssets(\"BNazanin.";
mostCurrent._btn3.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 41;BA.debugLine="btn4.Typeface = Typeface.LoadFromAssets(\"BNazanin.";
mostCurrent._btn4.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 42;BA.debugLine="btn5.Typeface = Typeface.LoadFromAssets(\"BNazanin.";
mostCurrent._btn5.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 43;BA.debugLine="lblscore.Typeface = Typeface.LoadFromAssets(\"BNaza";
mostCurrent._lblscore.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 44;BA.debugLine="lblsecond.Typeface = Typeface.LoadFromAssets(\"BNaz";
mostCurrent._lblsecond.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 45;BA.debugLine="lblseconds.Typeface = Typeface.LoadFromAssets(\"BNa";
mostCurrent._lblseconds.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 46;BA.debugLine="lblscore.Typeface = Typeface.LoadFromAssets(\"BNaza";
mostCurrent._lblscore.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 47;BA.debugLine="lblstage.Typeface = Typeface.LoadFromAssets(\"BNaza";
mostCurrent._lblstage.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 48;BA.debugLine="sTimeout = settings.getData(\"settingGame8.app\",\"ti";
_stimeout = (int)(Double.parseDouble(mostCurrent._settings._getdata(mostCurrent.activityBA,"settingGame8.app","timeout")));
 //BA.debugLineNum = 49;BA.debugLine="sTimeout = sTimeout - 1";
_stimeout = (int) (_stimeout-1);
 //BA.debugLineNum = 50;BA.debugLine="lblstage.Text = settings.getData(\"settingGame8.app";
mostCurrent._lblstage.setText((Object)(mostCurrent._settings._getdata(mostCurrent.activityBA,"settingGame8.app","stage")));
 //BA.debugLineNum = 51;BA.debugLine="common.playbgGame1";
mostCurrent._common._playbggame1(mostCurrent.activityBA);
 //BA.debugLineNum = 52;BA.debugLine="randomPicture";
_randompicture();
 //BA.debugLineNum = 53;BA.debugLine="lst1.Initialize";
mostCurrent._lst1.Initialize();
 //BA.debugLineNum = 54;BA.debugLine="tmr1.Initialize(\"tmr1\",1500)";
_tmr1.Initialize(processBA,"tmr1",(long) (1500));
 //BA.debugLineNum = 55;BA.debugLine="tmr1.Enabled = True";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 56;BA.debugLine="loadMenu";
_loadmenu();
 //BA.debugLineNum = 57;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 447;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 448;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 //BA.debugLineNum = 449;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 450;BA.debugLine="common.stopAudio";
mostCurrent._common._stopaudio(mostCurrent.activityBA);
 //BA.debugLineNum = 451;BA.debugLine="StartActivity(Main)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._main.getObject()));
 };
 //BA.debugLineNum = 453;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 381;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 383;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 377;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 379;BA.debugLine="End Sub";
return "";
}
public static String  _btn1_click() throws Exception{
 //BA.debugLineNum = 412;BA.debugLine="Sub btn1_Click";
 //BA.debugLineNum = 413;BA.debugLine="If btn1.Text <> activeItem Then";
if ((mostCurrent._btn1.getText()).equals(BA.NumberToString(_activeitem)) == false) { 
 //BA.debugLineNum = 414;BA.debugLine="wrongItem(btn1)";
_wrongitem(mostCurrent._btn1);
 }else {
 //BA.debugLineNum = 416;BA.debugLine="stateGame(\"win\")";
_stategame("win");
 };
 //BA.debugLineNum = 418;BA.debugLine="End Sub";
return "";
}
public static String  _btn2_click() throws Exception{
 //BA.debugLineNum = 419;BA.debugLine="Sub btn2_Click";
 //BA.debugLineNum = 420;BA.debugLine="If btn2.Text <> activeItem Then";
if ((mostCurrent._btn2.getText()).equals(BA.NumberToString(_activeitem)) == false) { 
 //BA.debugLineNum = 421;BA.debugLine="wrongItem(btn2)";
_wrongitem(mostCurrent._btn2);
 }else {
 //BA.debugLineNum = 423;BA.debugLine="stateGame(\"win\")";
_stategame("win");
 };
 //BA.debugLineNum = 425;BA.debugLine="End Sub";
return "";
}
public static String  _btn3_click() throws Exception{
 //BA.debugLineNum = 426;BA.debugLine="Sub btn3_Click";
 //BA.debugLineNum = 427;BA.debugLine="If btn3.Text <> activeItem Then";
if ((mostCurrent._btn3.getText()).equals(BA.NumberToString(_activeitem)) == false) { 
 //BA.debugLineNum = 428;BA.debugLine="wrongItem(btn3)";
_wrongitem(mostCurrent._btn3);
 }else {
 //BA.debugLineNum = 430;BA.debugLine="stateGame(\"win\")";
_stategame("win");
 };
 //BA.debugLineNum = 432;BA.debugLine="End Sub";
return "";
}
public static String  _btn4_click() throws Exception{
 //BA.debugLineNum = 433;BA.debugLine="Sub btn4_Click";
 //BA.debugLineNum = 434;BA.debugLine="If btn4.Text <> activeItem Then";
if ((mostCurrent._btn4.getText()).equals(BA.NumberToString(_activeitem)) == false) { 
 //BA.debugLineNum = 435;BA.debugLine="wrongItem(btn4)";
_wrongitem(mostCurrent._btn4);
 }else {
 //BA.debugLineNum = 437;BA.debugLine="stateGame(\"win\")";
_stategame("win");
 };
 //BA.debugLineNum = 439;BA.debugLine="End Sub";
return "";
}
public static String  _btn5_click() throws Exception{
 //BA.debugLineNum = 440;BA.debugLine="Sub btn5_Click";
 //BA.debugLineNum = 441;BA.debugLine="If btn5.Text <> activeItem Then";
if ((mostCurrent._btn5.getText()).equals(BA.NumberToString(_activeitem)) == false) { 
 //BA.debugLineNum = 442;BA.debugLine="wrongItem(btn5)";
_wrongitem(mostCurrent._btn5);
 }else {
 //BA.debugLineNum = 444;BA.debugLine="stateGame(\"win\")";
_stategame("win");
 };
 //BA.debugLineNum = 446;BA.debugLine="End Sub";
return "";
}
public static String  _btnabout_click() throws Exception{
 //BA.debugLineNum = 67;BA.debugLine="Sub btnabout_Click";
 //BA.debugLineNum = 68;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 69;BA.debugLine="StartActivity(frmabout)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmabout.getObject()));
 //BA.debugLineNum = 70;BA.debugLine="End Sub";
return "";
}
public static String  _btnsetting_click() throws Exception{
 //BA.debugLineNum = 63;BA.debugLine="Sub btnsetting_Click";
 //BA.debugLineNum = 64;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 65;BA.debugLine="StartActivity(setting)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._setting.getObject()));
 //BA.debugLineNum = 66;BA.debugLine="End Sub";
return "";
}
public static boolean  _existitemarray(String _sitem) throws Exception{
int _i = 0;
 //BA.debugLineNum = 384;BA.debugLine="Sub existItemarray(sItem As String) As Boolean";
 //BA.debugLineNum = 385;BA.debugLine="For i=0 To lst1.Size-1";
{
final int step368 = 1;
final int limit368 = (int) (mostCurrent._lst1.getSize()-1);
for (_i = (int) (0); (step368 > 0 && _i <= limit368) || (step368 < 0 && _i >= limit368); _i = ((int)(0 + _i + step368))) {
 //BA.debugLineNum = 386;BA.debugLine="If lst1.Get(i) = sItem Then";
if ((mostCurrent._lst1.Get(_i)).equals((Object)(_sitem))) { 
 //BA.debugLineNum = 387;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 };
 }
};
 //BA.debugLineNum = 390;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 391;BA.debugLine="End Sub";
return false;
}
public static String  _exit1_click() throws Exception{
int _i = 0;
 //BA.debugLineNum = 71;BA.debugLine="Sub exit1_Click";
 //BA.debugLineNum = 72;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 73;BA.debugLine="i = Msgbox2(\"آیا مایل به خروج هستید؟\",\"خروج\",\"آری\"";
_i = anywheresoftware.b4a.keywords.Common.Msgbox2("آیا مایل به خروج هستید؟","خروج","آری","خیر","",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
 //BA.debugLineNum = 74;BA.debugLine="If i = DialogResponse.POSITIVE Then";
if (_i==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
 //BA.debugLineNum = 75;BA.debugLine="ExitApplication";
anywheresoftware.b4a.keywords.Common.ExitApplication();
 };
 //BA.debugLineNum = 77;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 15;BA.debugLine="Dim arrPic(10) As ImageView";
mostCurrent._arrpic = new anywheresoftware.b4a.objects.ImageViewWrapper[(int) (10)];
{
int d0 = mostCurrent._arrpic.length;
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._arrpic[i0] = new anywheresoftware.b4a.objects.ImageViewWrapper();
}
}
;
 //BA.debugLineNum = 16;BA.debugLine="Dim arrOffset(10) As Int";
_arroffset = new int[(int) (10)];
;
 //BA.debugLineNum = 17;BA.debugLine="Dim sTimeout As Int";
_stimeout = 0;
 //BA.debugLineNum = 18;BA.debugLine="Dim lblscore As Label";
mostCurrent._lblscore = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 19;BA.debugLine="Dim lblstage As Label";
mostCurrent._lblstage = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Dim lblsecond As Label";
mostCurrent._lblsecond = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Dim lblseconds As Label";
mostCurrent._lblseconds = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Dim imgbg1 As ImageView";
mostCurrent._imgbg1 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Dim countItem As Int : countItem = 0";
_countitem = 0;
 //BA.debugLineNum = 23;BA.debugLine="Dim countItem As Int : countItem = 0";
_countitem = (int) (0);
 //BA.debugLineNum = 24;BA.debugLine="Dim btn1 As Button";
mostCurrent._btn1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Dim btn2 As Button";
mostCurrent._btn2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim btn3 As Button";
mostCurrent._btn3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim btn4 As Button";
mostCurrent._btn4 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim btn5 As Button";
mostCurrent._btn5 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Dim lst1 As List";
mostCurrent._lst1 = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 30;BA.debugLine="Dim activeItem As Int";
_activeitem = 0;
 //BA.debugLineNum = 31;BA.debugLine="Dim imgbackground As ImageView";
mostCurrent._imgbackground = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 32;BA.debugLine="End Sub";
return "";
}
public static String  _loadmenu() throws Exception{
 //BA.debugLineNum = 58;BA.debugLine="Sub loadMenu";
 //BA.debugLineNum = 59;BA.debugLine="Activity.AddMenuItem2(\"تنظیمات\",\"btnsetting\",LoadB";
mostCurrent._activity.AddMenuItem2("تنظیمات","btnsetting",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"setting.png").getObject()));
 //BA.debugLineNum = 60;BA.debugLine="Activity.AddMenuItem2(\"درباره ما\",\"btnabout\",LoadB";
mostCurrent._activity.AddMenuItem2("درباره ما","btnabout",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"about.png").getObject()));
 //BA.debugLineNum = 61;BA.debugLine="Activity.AddMenuItem2(\"خروج\",\"exit1\",LoadBitmap(Fi";
mostCurrent._activity.AddMenuItem2("خروج","exit1",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"exit.png").getObject()));
 //BA.debugLineNum = 62;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 9;BA.debugLine="Dim tmr1,tmr2 As Timer";
_tmr1 = new anywheresoftware.b4a.objects.Timer();
_tmr2 = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 10;BA.debugLine="End Sub";
return "";
}
public static String  _randompicture() throws Exception{
int _i = 0;
 //BA.debugLineNum = 78;BA.debugLine="Sub randomPicture";
 //BA.debugLineNum = 79;BA.debugLine="For i=0 To 9";
{
final int step68 = 1;
final int limit68 = (int) (9);
for (_i = (int) (0); (step68 > 0 && _i <= limit68) || (step68 < 0 && _i >= limit68); _i = ((int)(0 + _i + step68))) {
 //BA.debugLineNum = 80;BA.debugLine="arrPic(i).Initialize(\"\")";
mostCurrent._arrpic[_i].Initialize(mostCurrent.activityBA,"");
 }
};
 //BA.debugLineNum = 82;BA.debugLine="arrPic(0).Bitmap = LoadBitmap(File.DirAssets,\"cat.";
mostCurrent._arrpic[(int) (0)].setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"cat.jpg").getObject()));
 //BA.debugLineNum = 83;BA.debugLine="arrPic(1).Bitmap = LoadBitmap(File.DirAssets,\"chic";
mostCurrent._arrpic[(int) (1)].setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"chicken.jpg").getObject()));
 //BA.debugLineNum = 84;BA.debugLine="arrPic(2).Bitmap = LoadBitmap(File.DirAssets,\"cow.";
mostCurrent._arrpic[(int) (2)].setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"cow.jpg").getObject()));
 //BA.debugLineNum = 85;BA.debugLine="arrPic(3).Bitmap = LoadBitmap(File.DirAssets,\"dog.";
mostCurrent._arrpic[(int) (3)].setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"dog.jpg").getObject()));
 //BA.debugLineNum = 86;BA.debugLine="arrPic(4).Bitmap = LoadBitmap(File.DirAssets,\"duck";
mostCurrent._arrpic[(int) (4)].setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"duck.jpg").getObject()));
 //BA.debugLineNum = 87;BA.debugLine="arrPic(5).Bitmap = LoadBitmap(File.DirAssets,\"elep";
mostCurrent._arrpic[(int) (5)].setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"elephant.jpg").getObject()));
 //BA.debugLineNum = 88;BA.debugLine="arrPic(6).Bitmap = LoadBitmap(File.DirAssets,\"hors";
mostCurrent._arrpic[(int) (6)].setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"horse.jpg").getObject()));
 //BA.debugLineNum = 89;BA.debugLine="arrPic(7).Bitmap = LoadBitmap(File.DirAssets,\"jogh";
mostCurrent._arrpic[(int) (7)].setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"joghd.jpg").getObject()));
 //BA.debugLineNum = 90;BA.debugLine="arrPic(8).Bitmap = LoadBitmap(File.DirAssets,\"khar";
mostCurrent._arrpic[(int) (8)].setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"khar.jpg").getObject()));
 //BA.debugLineNum = 91;BA.debugLine="arrPic(9).Bitmap = LoadBitmap(File.DirAssets,\"lion";
mostCurrent._arrpic[(int) (9)].setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"lion.jpg").getObject()));
 //BA.debugLineNum = 92;BA.debugLine="settings.loadDefaultSetting(\"8\")";
mostCurrent._settings._loaddefaultsetting(mostCurrent.activityBA,"8");
 //BA.debugLineNum = 93;BA.debugLine="End Sub";
return "";
}
public static String  _showrandompicture() throws Exception{
int _i = 0;
 //BA.debugLineNum = 363;BA.debugLine="Sub showRandomPicture";
 //BA.debugLineNum = 364;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 365;BA.debugLine="i = Rnd(0,lst1.Size-1)";
_i = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (mostCurrent._lst1.getSize()-1));
 //BA.debugLineNum = 366;BA.debugLine="imgbg1.Bitmap = arrPic(lst1.Get(i)).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[(int)(BA.ObjectToNumber(mostCurrent._lst1.Get(_i)))].getBitmap());
 //BA.debugLineNum = 367;BA.debugLine="activeItem = arrOffset(lst1.Get(i))";
_activeitem = _arroffset[(int)(BA.ObjectToNumber(mostCurrent._lst1.Get(_i)))];
 //BA.debugLineNum = 368;BA.debugLine="btn1.Text = Rnd(0,1)";
mostCurrent._btn1.setText((Object)(anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (1))));
 //BA.debugLineNum = 369;BA.debugLine="btn2.Text = Rnd(1,2)";
mostCurrent._btn2.setText((Object)(anywheresoftware.b4a.keywords.Common.Rnd((int) (1),(int) (2))));
 //BA.debugLineNum = 370;BA.debugLine="btn3.Text = Rnd(3,4)";
mostCurrent._btn3.setText((Object)(anywheresoftware.b4a.keywords.Common.Rnd((int) (3),(int) (4))));
 //BA.debugLineNum = 371;BA.debugLine="btn4.Text = Rnd(5,6)";
mostCurrent._btn4.setText((Object)(anywheresoftware.b4a.keywords.Common.Rnd((int) (5),(int) (6))));
 //BA.debugLineNum = 372;BA.debugLine="btn5.Text = Rnd(7,8)";
mostCurrent._btn5.setText((Object)(anywheresoftware.b4a.keywords.Common.Rnd((int) (7),(int) (8))));
 //BA.debugLineNum = 373;BA.debugLine="If btn1.Text <> activeItem AND btn2.Text <> active";
if ((mostCurrent._btn1.getText()).equals(BA.NumberToString(_activeitem)) == false && (mostCurrent._btn2.getText()).equals(BA.NumberToString(_activeitem)) == false && (mostCurrent._btn3.getText()).equals(BA.NumberToString(_activeitem)) == false && (mostCurrent._btn4.getText()).equals(BA.NumberToString(_activeitem)) == false && (mostCurrent._btn5.getText()).equals(BA.NumberToString(_activeitem)) == false) { 
 //BA.debugLineNum = 374;BA.debugLine="btn4.Text = activeItem";
mostCurrent._btn4.setText((Object)(_activeitem));
 };
 //BA.debugLineNum = 376;BA.debugLine="End Sub";
return "";
}
public static String  _stategame(String _sstate1) throws Exception{
 //BA.debugLineNum = 401;BA.debugLine="Sub stateGame(sState1 As String)";
 //BA.debugLineNum = 402;BA.debugLine="tmr2.Enabled = False";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 403;BA.debugLine="frmGame1_result.sStage = lblstage.Text";
mostCurrent._frmgame1_result._sstage = mostCurrent._lblstage.getText();
 //BA.debugLineNum = 404;BA.debugLine="frmGame1_result.sTime = \"زمان سپری شده \"  & lbl";
mostCurrent._frmgame1_result._stime = "زمان سپری شده "+mostCurrent._lblsecond.getText()+" : "+mostCurrent._lblseconds.getText()+" ثانیه";
 //BA.debugLineNum = 405;BA.debugLine="frmGame1_result.sState = sState1";
mostCurrent._frmgame1_result._sstate = _sstate1;
 //BA.debugLineNum = 406;BA.debugLine="frmGame1_result.sScore = lblscore.Text";
mostCurrent._frmgame1_result._sscore = mostCurrent._lblscore.getText();
 //BA.debugLineNum = 407;BA.debugLine="frmGame1_result.sGameNumber = \"8\"";
mostCurrent._frmgame1_result._sgamenumber = "8";
 //BA.debugLineNum = 408;BA.debugLine="common.stopAudio";
mostCurrent._common._stopaudio(mostCurrent.activityBA);
 //BA.debugLineNum = 409;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 410;BA.debugLine="StartActivity(frmGame1_result)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame1_result.getObject()));
 //BA.debugLineNum = 411;BA.debugLine="End Sub";
return "";
}
public static String  _tmr1_tick() throws Exception{
anywheresoftware.b4a.agraham.threading.Threading _th1 = null;
int _offset = 0;
 //BA.debugLineNum = 95;BA.debugLine="Sub tmr1_Tick";
 //BA.debugLineNum = 96;BA.debugLine="Dim th1 As Thread";
_th1 = new anywheresoftware.b4a.agraham.threading.Threading();
 //BA.debugLineNum = 97;BA.debugLine="Dim offset As Int";
_offset = 0;
 //BA.debugLineNum = 98;BA.debugLine="Select Case lblstage.Text";
switch (BA.switchObjectToInt(mostCurrent._lblstage.getText(),"1","2","3","4","5","6","7","8","9","10","11","12")) {
case 0:
 //BA.debugLineNum = 100;BA.debugLine="If countItem > 2 Then";
if (_countitem>2) { 
 //BA.debugLineNum = 101;BA.debugLine="ToastMessageShow(\"حالا تعداد تصویر نمایش داده ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("حالا تعداد تصویر نمایش داده شده را انتخاب کنید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 102;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 103;BA.debugLine="showRandomPicture";
_showrandompicture();
 //BA.debugLineNum = 104;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 105;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 106;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 108;BA.debugLine="offset = Rnd(0,4)";
_offset = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (4));
 //BA.debugLineNum = 109;BA.debugLine="imgbg1.Bitmap = arrPic(offset).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[_offset].getBitmap());
 //BA.debugLineNum = 110;BA.debugLine="arrOffset(offset) = arrOffset(offset) + 1";
_arroffset[_offset] = (int) (_arroffset[_offset]+1);
 //BA.debugLineNum = 111;BA.debugLine="If existItemarray(offset) = False Then";
if (_existitemarray(BA.NumberToString(_offset))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 112;BA.debugLine="lst1.Add(offset)";
mostCurrent._lst1.Add((Object)(_offset));
 };
 //BA.debugLineNum = 114;BA.debugLine="countItem = countItem + 1";
_countitem = (int) (_countitem+1);
 //BA.debugLineNum = 115;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 116;BA.debugLine="th1.Sleep(1100)";
_th1.Sleep((int) (1100));
 //BA.debugLineNum = 117;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 118;BA.debugLine="imgbg1.Bitmap = LoadBitmap(File.DirAssets,\"quest";
mostCurrent._imgbg1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"question.jpg").getObject()));
 break;
case 1:
 //BA.debugLineNum = 120;BA.debugLine="If countItem > 2 Then";
if (_countitem>2) { 
 //BA.debugLineNum = 121;BA.debugLine="ToastMessageShow(\"حالا تعداد تصویر نمایش داده ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("حالا تعداد تصویر نمایش داده شده را انتخاب کنید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 122;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 123;BA.debugLine="showRandomPicture";
_showrandompicture();
 //BA.debugLineNum = 124;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 125;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 126;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 128;BA.debugLine="offset = Rnd(0,4)";
_offset = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (4));
 //BA.debugLineNum = 129;BA.debugLine="imgbg1.Bitmap = arrPic(offset).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[_offset].getBitmap());
 //BA.debugLineNum = 130;BA.debugLine="arrOffset(offset) = arrOffset(offset) + 1";
_arroffset[_offset] = (int) (_arroffset[_offset]+1);
 //BA.debugLineNum = 131;BA.debugLine="If existItemarray(offset) = False Then";
if (_existitemarray(BA.NumberToString(_offset))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 132;BA.debugLine="lst1.Add(offset)";
mostCurrent._lst1.Add((Object)(_offset));
 };
 //BA.debugLineNum = 134;BA.debugLine="countItem = countItem + 1";
_countitem = (int) (_countitem+1);
 //BA.debugLineNum = 135;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 136;BA.debugLine="th1.Sleep(1100)";
_th1.Sleep((int) (1100));
 //BA.debugLineNum = 137;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 138;BA.debugLine="imgbg1.Bitmap = LoadBitmap(File.DirAssets,\"quest";
mostCurrent._imgbg1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"question.jpg").getObject()));
 break;
case 2:
 //BA.debugLineNum = 140;BA.debugLine="If countItem > 3 Then";
if (_countitem>3) { 
 //BA.debugLineNum = 141;BA.debugLine="ToastMessageShow(\"حالا تعداد تصویر نمایش داده ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("حالا تعداد تصویر نمایش داده شده را انتخاب کنید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 142;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 143;BA.debugLine="showRandomPicture";
_showrandompicture();
 //BA.debugLineNum = 144;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 145;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 146;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 148;BA.debugLine="offset = Rnd(0,5)";
_offset = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (5));
 //BA.debugLineNum = 149;BA.debugLine="imgbg1.Bitmap = arrPic(offset).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[_offset].getBitmap());
 //BA.debugLineNum = 150;BA.debugLine="arrOffset(offset) = arrOffset(offset) + 1";
_arroffset[_offset] = (int) (_arroffset[_offset]+1);
 //BA.debugLineNum = 151;BA.debugLine="If existItemarray(offset) = False Then";
if (_existitemarray(BA.NumberToString(_offset))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 152;BA.debugLine="lst1.Add(offset)";
mostCurrent._lst1.Add((Object)(_offset));
 };
 //BA.debugLineNum = 154;BA.debugLine="countItem = countItem + 1";
_countitem = (int) (_countitem+1);
 //BA.debugLineNum = 155;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 156;BA.debugLine="th1.Sleep(1100)";
_th1.Sleep((int) (1100));
 //BA.debugLineNum = 157;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 158;BA.debugLine="imgbg1.Bitmap = LoadBitmap(File.DirAssets,\"quest";
mostCurrent._imgbg1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"question.jpg").getObject()));
 break;
case 3:
 //BA.debugLineNum = 160;BA.debugLine="If countItem > 3 Then";
if (_countitem>3) { 
 //BA.debugLineNum = 161;BA.debugLine="ToastMessageShow(\"حالا تعداد تصویر نمایش داده ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("حالا تعداد تصویر نمایش داده شده را انتخاب کنید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 162;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 163;BA.debugLine="showRandomPicture";
_showrandompicture();
 //BA.debugLineNum = 164;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 165;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 166;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 168;BA.debugLine="offset = Rnd(0,5)";
_offset = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (5));
 //BA.debugLineNum = 169;BA.debugLine="imgbg1.Bitmap = arrPic(offset).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[_offset].getBitmap());
 //BA.debugLineNum = 170;BA.debugLine="arrOffset(offset) = arrOffset(offset) + 1";
_arroffset[_offset] = (int) (_arroffset[_offset]+1);
 //BA.debugLineNum = 171;BA.debugLine="If existItemarray(offset) = False Then";
if (_existitemarray(BA.NumberToString(_offset))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 172;BA.debugLine="lst1.Add(offset)";
mostCurrent._lst1.Add((Object)(_offset));
 };
 //BA.debugLineNum = 174;BA.debugLine="countItem = countItem + 1";
_countitem = (int) (_countitem+1);
 //BA.debugLineNum = 175;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 176;BA.debugLine="th1.Sleep(1100)";
_th1.Sleep((int) (1100));
 //BA.debugLineNum = 177;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 178;BA.debugLine="imgbg1.Bitmap = LoadBitmap(File.DirAssets,\"quest";
mostCurrent._imgbg1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"question.jpg").getObject()));
 break;
case 4:
 //BA.debugLineNum = 180;BA.debugLine="If countItem > 4 Then";
if (_countitem>4) { 
 //BA.debugLineNum = 181;BA.debugLine="ToastMessageShow(\"حالا تعداد تصویر نمایش داده ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("حالا تعداد تصویر نمایش داده شده را انتخاب کنید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 182;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 183;BA.debugLine="showRandomPicture";
_showrandompicture();
 //BA.debugLineNum = 184;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 185;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 186;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 188;BA.debugLine="offset = Rnd(0,6)";
_offset = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (6));
 //BA.debugLineNum = 189;BA.debugLine="imgbg1.Bitmap = arrPic(offset).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[_offset].getBitmap());
 //BA.debugLineNum = 190;BA.debugLine="arrOffset(offset) = arrOffset(offset) + 1";
_arroffset[_offset] = (int) (_arroffset[_offset]+1);
 //BA.debugLineNum = 191;BA.debugLine="If existItemarray(offset) = False Then";
if (_existitemarray(BA.NumberToString(_offset))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 192;BA.debugLine="lst1.Add(offset)";
mostCurrent._lst1.Add((Object)(_offset));
 };
 //BA.debugLineNum = 194;BA.debugLine="countItem = countItem + 1";
_countitem = (int) (_countitem+1);
 //BA.debugLineNum = 195;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 196;BA.debugLine="th1.Sleep(1100)";
_th1.Sleep((int) (1100));
 //BA.debugLineNum = 197;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 198;BA.debugLine="imgbg1.Bitmap = LoadBitmap(File.DirAssets,\"quest";
mostCurrent._imgbg1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"question.jpg").getObject()));
 break;
case 5:
 //BA.debugLineNum = 200;BA.debugLine="If countItem > 4 Then";
if (_countitem>4) { 
 //BA.debugLineNum = 201;BA.debugLine="ToastMessageShow(\"حالا تعداد تصویر نمایش داده ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("حالا تعداد تصویر نمایش داده شده را انتخاب کنید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 202;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 203;BA.debugLine="showRandomPicture";
_showrandompicture();
 //BA.debugLineNum = 204;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 205;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 206;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 208;BA.debugLine="offset = Rnd(0,6)";
_offset = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (6));
 //BA.debugLineNum = 209;BA.debugLine="imgbg1.Bitmap = arrPic(offset).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[_offset].getBitmap());
 //BA.debugLineNum = 210;BA.debugLine="arrOffset(offset) = arrOffset(offset) + 1";
_arroffset[_offset] = (int) (_arroffset[_offset]+1);
 //BA.debugLineNum = 211;BA.debugLine="If existItemarray(offset) = False Then";
if (_existitemarray(BA.NumberToString(_offset))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 212;BA.debugLine="lst1.Add(offset)";
mostCurrent._lst1.Add((Object)(_offset));
 };
 //BA.debugLineNum = 214;BA.debugLine="countItem = countItem + 1";
_countitem = (int) (_countitem+1);
 //BA.debugLineNum = 215;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 216;BA.debugLine="th1.Sleep(1100)";
_th1.Sleep((int) (1100));
 //BA.debugLineNum = 217;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 218;BA.debugLine="imgbg1.Bitmap = LoadBitmap(File.DirAssets,\"quest";
mostCurrent._imgbg1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"question.jpg").getObject()));
 break;
case 6:
 //BA.debugLineNum = 220;BA.debugLine="If countItem > 5 Then";
if (_countitem>5) { 
 //BA.debugLineNum = 221;BA.debugLine="ToastMessageShow(\"حالا تعداد تصویر نمایش داده ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("حالا تعداد تصویر نمایش داده شده را انتخاب کنید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 222;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 223;BA.debugLine="showRandomPicture";
_showrandompicture();
 //BA.debugLineNum = 224;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 225;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 226;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 228;BA.debugLine="offset = Rnd(0,7)";
_offset = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (7));
 //BA.debugLineNum = 229;BA.debugLine="imgbg1.Bitmap = arrPic(offset).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[_offset].getBitmap());
 //BA.debugLineNum = 230;BA.debugLine="arrOffset(offset) = arrOffset(offset) + 1";
_arroffset[_offset] = (int) (_arroffset[_offset]+1);
 //BA.debugLineNum = 231;BA.debugLine="If existItemarray(offset) = False Then";
if (_existitemarray(BA.NumberToString(_offset))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 232;BA.debugLine="lst1.Add(offset)";
mostCurrent._lst1.Add((Object)(_offset));
 };
 //BA.debugLineNum = 234;BA.debugLine="countItem = countItem + 1";
_countitem = (int) (_countitem+1);
 //BA.debugLineNum = 235;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 236;BA.debugLine="th1.Sleep(1100)";
_th1.Sleep((int) (1100));
 //BA.debugLineNum = 237;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 238;BA.debugLine="imgbg1.Bitmap = LoadBitmap(File.DirAssets,\"quest";
mostCurrent._imgbg1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"question.jpg").getObject()));
 break;
case 7:
 //BA.debugLineNum = 240;BA.debugLine="If countItem > 7 Then";
if (_countitem>7) { 
 //BA.debugLineNum = 241;BA.debugLine="ToastMessageShow(\"حالا تعداد تصویر نمایش داده ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("حالا تعداد تصویر نمایش داده شده را انتخاب کنید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 242;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 243;BA.debugLine="showRandomPicture";
_showrandompicture();
 //BA.debugLineNum = 244;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 245;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 246;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 248;BA.debugLine="offset = Rnd(0,7)";
_offset = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (7));
 //BA.debugLineNum = 249;BA.debugLine="imgbg1.Bitmap = arrPic(offset).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[_offset].getBitmap());
 //BA.debugLineNum = 250;BA.debugLine="arrOffset(offset) = arrOffset(offset) + 1";
_arroffset[_offset] = (int) (_arroffset[_offset]+1);
 //BA.debugLineNum = 251;BA.debugLine="If existItemarray(offset) = False Then";
if (_existitemarray(BA.NumberToString(_offset))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 252;BA.debugLine="lst1.Add(offset)";
mostCurrent._lst1.Add((Object)(_offset));
 };
 //BA.debugLineNum = 254;BA.debugLine="countItem = countItem + 1";
_countitem = (int) (_countitem+1);
 //BA.debugLineNum = 255;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 256;BA.debugLine="th1.Sleep(1100)";
_th1.Sleep((int) (1100));
 //BA.debugLineNum = 257;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 258;BA.debugLine="imgbg1.Bitmap = LoadBitmap(File.DirAssets,\"quest";
mostCurrent._imgbg1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"question.jpg").getObject()));
 break;
case 8:
 //BA.debugLineNum = 260;BA.debugLine="If countItem > 7 Then";
if (_countitem>7) { 
 //BA.debugLineNum = 261;BA.debugLine="ToastMessageShow(\"حالا تعداد تصویر نمایش داده ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("حالا تعداد تصویر نمایش داده شده را انتخاب کنید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 262;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 263;BA.debugLine="showRandomPicture";
_showrandompicture();
 //BA.debugLineNum = 264;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 265;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 266;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 268;BA.debugLine="offset = Rnd(0,8)";
_offset = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (8));
 //BA.debugLineNum = 269;BA.debugLine="imgbg1.Bitmap = arrPic(offset).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[_offset].getBitmap());
 //BA.debugLineNum = 270;BA.debugLine="arrOffset(offset) = arrOffset(offset) + 1";
_arroffset[_offset] = (int) (_arroffset[_offset]+1);
 //BA.debugLineNum = 271;BA.debugLine="If existItemarray(offset) = False Then";
if (_existitemarray(BA.NumberToString(_offset))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 272;BA.debugLine="lst1.Add(offset)";
mostCurrent._lst1.Add((Object)(_offset));
 };
 //BA.debugLineNum = 274;BA.debugLine="countItem = countItem + 1";
_countitem = (int) (_countitem+1);
 //BA.debugLineNum = 275;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 276;BA.debugLine="th1.Sleep(1100)";
_th1.Sleep((int) (1100));
 //BA.debugLineNum = 277;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 278;BA.debugLine="imgbg1.Bitmap = LoadBitmap(File.DirAssets,\"quest";
mostCurrent._imgbg1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"question.jpg").getObject()));
 break;
case 9:
 //BA.debugLineNum = 280;BA.debugLine="If countItem > 8 Then";
if (_countitem>8) { 
 //BA.debugLineNum = 281;BA.debugLine="ToastMessageShow(\"حالا تعداد تصویر نمایش داده ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("حالا تعداد تصویر نمایش داده شده را انتخاب کنید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 282;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 283;BA.debugLine="showRandomPicture";
_showrandompicture();
 //BA.debugLineNum = 284;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 285;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 286;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 288;BA.debugLine="offset = Rnd(0,8)";
_offset = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (8));
 //BA.debugLineNum = 289;BA.debugLine="imgbg1.Bitmap = arrPic(offset).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[_offset].getBitmap());
 //BA.debugLineNum = 290;BA.debugLine="arrOffset(offset) = arrOffset(offset) + 1";
_arroffset[_offset] = (int) (_arroffset[_offset]+1);
 //BA.debugLineNum = 291;BA.debugLine="If existItemarray(offset) = False Then";
if (_existitemarray(BA.NumberToString(_offset))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 292;BA.debugLine="lst1.Add(offset)";
mostCurrent._lst1.Add((Object)(_offset));
 };
 //BA.debugLineNum = 294;BA.debugLine="countItem = countItem + 1";
_countitem = (int) (_countitem+1);
 //BA.debugLineNum = 295;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 296;BA.debugLine="th1.Sleep(1100)";
_th1.Sleep((int) (1100));
 //BA.debugLineNum = 297;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 298;BA.debugLine="imgbg1.Bitmap = LoadBitmap(File.DirAssets,\"quest";
mostCurrent._imgbg1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"question.jpg").getObject()));
 break;
case 10:
 //BA.debugLineNum = 300;BA.debugLine="If countItem > 9 Then";
if (_countitem>9) { 
 //BA.debugLineNum = 301;BA.debugLine="ToastMessageShow(\"حالا تعداد تصویر نمایش داده ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("حالا تعداد تصویر نمایش داده شده را انتخاب کنید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 302;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 303;BA.debugLine="showRandomPicture";
_showrandompicture();
 //BA.debugLineNum = 304;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 305;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 306;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 308;BA.debugLine="offset = Rnd(0,9)";
_offset = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (9));
 //BA.debugLineNum = 309;BA.debugLine="imgbg1.Bitmap = arrPic(offset).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[_offset].getBitmap());
 //BA.debugLineNum = 310;BA.debugLine="arrOffset(offset) = arrOffset(offset) + 1";
_arroffset[_offset] = (int) (_arroffset[_offset]+1);
 //BA.debugLineNum = 311;BA.debugLine="If existItemarray(offset) = False Then";
if (_existitemarray(BA.NumberToString(_offset))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 312;BA.debugLine="lst1.Add(offset)";
mostCurrent._lst1.Add((Object)(_offset));
 };
 //BA.debugLineNum = 314;BA.debugLine="countItem = countItem + 1";
_countitem = (int) (_countitem+1);
 //BA.debugLineNum = 315;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 316;BA.debugLine="th1.Sleep(1100)";
_th1.Sleep((int) (1100));
 //BA.debugLineNum = 317;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 318;BA.debugLine="imgbg1.Bitmap = LoadBitmap(File.DirAssets,\"quest";
mostCurrent._imgbg1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"question.jpg").getObject()));
 break;
case 11:
 //BA.debugLineNum = 320;BA.debugLine="If countItem > 9 Then";
if (_countitem>9) { 
 //BA.debugLineNum = 321;BA.debugLine="ToastMessageShow(\"حالا تعداد تصویر نمایش داده ش";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("حالا تعداد تصویر نمایش داده شده را انتخاب کنید",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 322;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 323;BA.debugLine="showRandomPicture";
_showrandompicture();
 //BA.debugLineNum = 324;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 325;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 326;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 328;BA.debugLine="offset = Rnd(0,9)";
_offset = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (9));
 //BA.debugLineNum = 329;BA.debugLine="imgbg1.Bitmap = arrPic(offset).Bitmap";
mostCurrent._imgbg1.setBitmap(mostCurrent._arrpic[_offset].getBitmap());
 //BA.debugLineNum = 330;BA.debugLine="arrOffset(offset) = arrOffset(offset) + 1";
_arroffset[_offset] = (int) (_arroffset[_offset]+1);
 //BA.debugLineNum = 331;BA.debugLine="If existItemarray(offset) = False Then";
if (_existitemarray(BA.NumberToString(_offset))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 332;BA.debugLine="lst1.Add(offset)";
mostCurrent._lst1.Add((Object)(_offset));
 };
 //BA.debugLineNum = 334;BA.debugLine="countItem = countItem + 1";
_countitem = (int) (_countitem+1);
 //BA.debugLineNum = 335;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 336;BA.debugLine="th1.Sleep(1100)";
_th1.Sleep((int) (1100));
 //BA.debugLineNum = 337;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 338;BA.debugLine="imgbg1.Bitmap = LoadBitmap(File.DirAssets,\"quest";
mostCurrent._imgbg1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"question.jpg").getObject()));
 break;
}
;
 //BA.debugLineNum = 340;BA.debugLine="End Sub";
return "";
}
public static String  _tmr2_tick() throws Exception{
int _k1 = 0;
 //BA.debugLineNum = 341;BA.debugLine="Sub tmr2_Tick";
 //BA.debugLineNum = 342;BA.debugLine="Dim k1 As Int";
_k1 = 0;
 //BA.debugLineNum = 343;BA.debugLine="If lblsecond.Text > sTimeout Then";
if ((double)(Double.parseDouble(mostCurrent._lblsecond.getText()))>_stimeout) { 
 //BA.debugLineNum = 344;BA.debugLine="tmr2.Enabled = False";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 345;BA.debugLine="frmGame1_result.sTime = \"زمان سپری شده \"  & lbl";
mostCurrent._frmgame1_result._stime = "زمان سپری شده "+mostCurrent._lblsecond.getText()+" : "+mostCurrent._lblseconds.getText()+" ثانیه";
 //BA.debugLineNum = 346;BA.debugLine="frmGame1_result.sState = \"unwin\"";
mostCurrent._frmgame1_result._sstate = "unwin";
 //BA.debugLineNum = 347;BA.debugLine="frmGame1_result.sGameNumber = \"8\"";
mostCurrent._frmgame1_result._sgamenumber = "8";
 //BA.debugLineNum = 348;BA.debugLine="frmGame1_result.sScore = lblscore.Text";
mostCurrent._frmgame1_result._sscore = mostCurrent._lblscore.getText();
 //BA.debugLineNum = 349;BA.debugLine="common.stopAudio";
mostCurrent._common._stopaudio(mostCurrent.activityBA);
 //BA.debugLineNum = 350;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 351;BA.debugLine="StartActivity(frmGame1_result)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame1_result.getObject()));
 };
 //BA.debugLineNum = 354;BA.debugLine="k1 = lblseconds.Text + 1";
_k1 = (int) ((double)(Double.parseDouble(mostCurrent._lblseconds.getText()))+1);
 //BA.debugLineNum = 355;BA.debugLine="lblseconds.Text = k1";
mostCurrent._lblseconds.setText((Object)(_k1));
 //BA.debugLineNum = 356;BA.debugLine="If lblseconds.Text > 60 Then";
if ((double)(Double.parseDouble(mostCurrent._lblseconds.getText()))>60) { 
 //BA.debugLineNum = 357;BA.debugLine="lblseconds.Text = 0";
mostCurrent._lblseconds.setText((Object)(0));
 //BA.debugLineNum = 358;BA.debugLine="k1 = lblsecond.Text + 1";
_k1 = (int) ((double)(Double.parseDouble(mostCurrent._lblsecond.getText()))+1);
 //BA.debugLineNum = 359;BA.debugLine="lblsecond.Text = k1";
mostCurrent._lblsecond.setText((Object)(_k1));
 };
 //BA.debugLineNum = 362;BA.debugLine="End Sub";
return "";
}
public static String  _wrongitem(anywheresoftware.b4a.objects.ButtonWrapper _c1) throws Exception{
int _t1 = 0;
 //BA.debugLineNum = 392;BA.debugLine="Sub wrongItem(c1 As Button)";
 //BA.debugLineNum = 393;BA.debugLine="Dim t1 As Int";
_t1 = 0;
 //BA.debugLineNum = 394;BA.debugLine="common.playAudio(\"wrong.wav\")";
mostCurrent._common._playaudio(mostCurrent.activityBA,"wrong.wav");
 //BA.debugLineNum = 395;BA.debugLine="common.playAnimation(c1,\"scale\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(_c1.getObject())),"scale",(int) (1000));
 //BA.debugLineNum = 396;BA.debugLine="c1.Visible = False";
_c1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 397;BA.debugLine="t1 = lblscore.Text";
_t1 = (int)(Double.parseDouble(mostCurrent._lblscore.getText()));
 //BA.debugLineNum = 398;BA.debugLine="lblscore.Text = t1 - 10";
mostCurrent._lblscore.setText((Object)(_t1-10));
 //BA.debugLineNum = 399;BA.debugLine="common.vibrePhone";
mostCurrent._common._vibrephone(mostCurrent.activityBA);
 //BA.debugLineNum = 400;BA.debugLine="End Sub";
return "";
}
}
