package student.tutorial;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "student.tutorial", "student.tutorial.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "student.tutorial", "student.tutorial.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "student.tutorial.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _game1 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _game3 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _game4 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _game6 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _game5 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _game2 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _game7 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _contact1 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imgword = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imgbackground = null;
public student.tutorial.slidemenu _sm1 = null;
public static String _sselectgame = "";
public student.tutorial.frmgame1 _frmgame1 = null;
public student.tutorial.common _common = null;
public student.tutorial.settings _settings = null;
public student.tutorial.frmgame1_result _frmgame1_result = null;
public student.tutorial.frmgame1_final _frmgame1_final = null;
public student.tutorial.frmgame2 _frmgame2 = null;
public student.tutorial.frmgame3 _frmgame3 = null;
public student.tutorial.frmgame4 _frmgame4 = null;
public student.tutorial.frmgame5 _frmgame5 = null;
public student.tutorial.frmgame6 _frmgame6 = null;
public student.tutorial.frmgame7 _frmgame7 = null;
public student.tutorial.frmcontact _frmcontact = null;
public student.tutorial.frmgame8 _frmgame8 = null;
public student.tutorial.frmabout _frmabout = null;
public student.tutorial.frmgame9 _frmgame9 = null;
public student.tutorial.setting _setting = null;
public student.tutorial.frmstatistic _frmstatistic = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
vis = vis | (frmgame1.mostCurrent != null);
vis = vis | (frmgame1_result.mostCurrent != null);
vis = vis | (frmgame1_final.mostCurrent != null);
vis = vis | (frmgame2.mostCurrent != null);
vis = vis | (frmgame3.mostCurrent != null);
vis = vis | (frmgame4.mostCurrent != null);
vis = vis | (frmgame5.mostCurrent != null);
vis = vis | (frmgame6.mostCurrent != null);
vis = vis | (frmgame7.mostCurrent != null);
vis = vis | (frmcontact.mostCurrent != null);
vis = vis | (frmgame8.mostCurrent != null);
vis = vis | (frmabout.mostCurrent != null);
vis = vis | (frmgame9.mostCurrent != null);
vis = vis | (setting.mostCurrent != null);
vis = vis | (frmstatistic.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 33;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 34;BA.debugLine="Activity.LoadLayout(\"main\")";
mostCurrent._activity.LoadLayout("main",mostCurrent.activityBA);
 //BA.debugLineNum = 35;BA.debugLine="common.changeTheme(imgbackground)";
mostCurrent._common._changetheme(mostCurrent.activityBA,mostCurrent._imgbackground);
 //BA.debugLineNum = 36;BA.debugLine="loadMenu";
_loadmenu();
 //BA.debugLineNum = 37;BA.debugLine="sm1.Initialize(Activity,Me,\"slidemenu1\",0,190dip)";
mostCurrent._sm1._initialize(mostCurrent.activityBA,mostCurrent._activity,main.getObject(),"slidemenu1",(int) (0),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (190)));
 //BA.debugLineNum = 38;BA.debugLine="sm1.AddItem(\"آمار این بازی\",LoadBitmap(File.DirAss";
mostCurrent._sm1._additem("آمار این بازی",anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"statistic.png"),(Object)("statistic"));
 //BA.debugLineNum = 39;BA.debugLine="sm1.AddItem(\"راهنما\",LoadBitmap(File.DirAssets,\"he";
mostCurrent._sm1._additem("راهنما",anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"help.png"),(Object)("help"));
 //BA.debugLineNum = 40;BA.debugLine="sm1.AddItem(\"از دوباره\",LoadBitmap(File.DirAssets,";
mostCurrent._sm1._additem("از دوباره",anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"again.png"),(Object)("again"));
 //BA.debugLineNum = 41;BA.debugLine="sm1.AddItem(\"تنظیمات\",LoadBitmap(File.DirAssets,\"s";
mostCurrent._sm1._additem("تنظیمات",anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"setting.png"),(Object)("setting"));
 //BA.debugLineNum = 42;BA.debugLine="sm1.AddItem(\"درباره ما\",LoadBitmap(File.DirAssets,";
mostCurrent._sm1._additem("درباره ما",anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"about.png"),(Object)("about"));
 //BA.debugLineNum = 43;BA.debugLine="sm1.AddItem(\"خروج\",LoadBitmap(File.DirAssets,\"exit";
mostCurrent._sm1._additem("خروج",anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"exit.png"),(Object)("exit"));
 //BA.debugLineNum = 44;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 190;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 191;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 //BA.debugLineNum = 192;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 193;BA.debugLine="common.stopAudio";
mostCurrent._common._stopaudio(mostCurrent.activityBA);
 //BA.debugLineNum = 194;BA.debugLine="ExitApplication";
anywheresoftware.b4a.keywords.Common.ExitApplication();
 };
 //BA.debugLineNum = 196;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_MENU Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_MENU) { 
 //BA.debugLineNum = 197;BA.debugLine="Activity.OpenMenu";
mostCurrent._activity.OpenMenu();
 //BA.debugLineNum = 198;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 };
 //BA.debugLineNum = 200;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 114;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 116;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 110;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 112;BA.debugLine="End Sub";
return "";
}
public static String  _btnabout_click() throws Exception{
 //BA.debugLineNum = 99;BA.debugLine="Sub btnabout_Click";
 //BA.debugLineNum = 100;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 101;BA.debugLine="StartActivity(frmabout)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmabout.getObject()));
 //BA.debugLineNum = 102;BA.debugLine="End Sub";
return "";
}
public static String  _btnsetting_click() throws Exception{
 //BA.debugLineNum = 95;BA.debugLine="Sub btnsetting_Click";
 //BA.debugLineNum = 96;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 97;BA.debugLine="StartActivity(setting)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._setting.getObject()));
 //BA.debugLineNum = 98;BA.debugLine="End Sub";
return "";
}
public static String  _contact1_click() throws Exception{
 //BA.debugLineNum = 146;BA.debugLine="Sub contact1_Click";
 //BA.debugLineNum = 147;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 148;BA.debugLine="StartActivity(frmGame8)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame8.getObject()));
 //BA.debugLineNum = 149;BA.debugLine="End Sub";
return "";
}
public static String  _contact1_longclick() throws Exception{
 //BA.debugLineNum = 182;BA.debugLine="Sub contact1_LongClick";
 //BA.debugLineNum = 183;BA.debugLine="sm1.Show";
mostCurrent._sm1._show();
 //BA.debugLineNum = 184;BA.debugLine="sSelectGame = \"8\"";
mostCurrent._sselectgame = "8";
 //BA.debugLineNum = 185;BA.debugLine="End Sub";
return "";
}
public static String  _exit1_click() throws Exception{
int _i = 0;
 //BA.debugLineNum = 103;BA.debugLine="Sub exit1_Click";
 //BA.debugLineNum = 104;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 105;BA.debugLine="i = Msgbox2(\"آیا مایل به خروج هستید؟\",\"خروج\",\"آری\"";
_i = anywheresoftware.b4a.keywords.Common.Msgbox2("آیا مایل به خروج هستید؟","خروج","آری","خیر","",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
 //BA.debugLineNum = 106;BA.debugLine="If i = DialogResponse.POSITIVE Then";
if (_i==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
 //BA.debugLineNum = 107;BA.debugLine="ExitApplication";
anywheresoftware.b4a.keywords.Common.ExitApplication();
 };
 //BA.debugLineNum = 109;BA.debugLine="End Sub";
return "";
}
public static String  _game1_click() throws Exception{
 //BA.debugLineNum = 118;BA.debugLine="Sub game1_Click";
 //BA.debugLineNum = 119;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 120;BA.debugLine="StartActivity(frmGame1)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame1.getObject()));
 //BA.debugLineNum = 121;BA.debugLine="End Sub";
return "";
}
public static String  _game1_longclick() throws Exception{
 //BA.debugLineNum = 154;BA.debugLine="Sub game1_LongClick";
 //BA.debugLineNum = 155;BA.debugLine="sm1.show";
mostCurrent._sm1._show();
 //BA.debugLineNum = 156;BA.debugLine="sSelectGame = \"1\"";
mostCurrent._sselectgame = "1";
 //BA.debugLineNum = 157;BA.debugLine="End Sub";
return "";
}
public static String  _game2_click() throws Exception{
 //BA.debugLineNum = 138;BA.debugLine="Sub game2_Click";
 //BA.debugLineNum = 139;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 140;BA.debugLine="StartActivity(frmGame2)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame2.getObject()));
 //BA.debugLineNum = 141;BA.debugLine="End Sub";
return "";
}
public static String  _game2_longclick() throws Exception{
 //BA.debugLineNum = 158;BA.debugLine="Sub game2_LongClick";
 //BA.debugLineNum = 159;BA.debugLine="sm1.Show";
mostCurrent._sm1._show();
 //BA.debugLineNum = 160;BA.debugLine="sSelectGame = \"2\"";
mostCurrent._sselectgame = "2";
 //BA.debugLineNum = 161;BA.debugLine="End Sub";
return "";
}
public static String  _game3_click() throws Exception{
 //BA.debugLineNum = 122;BA.debugLine="Sub game3_Click";
 //BA.debugLineNum = 123;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 124;BA.debugLine="StartActivity(frmGame3)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame3.getObject()));
 //BA.debugLineNum = 125;BA.debugLine="End Sub";
return "";
}
public static String  _game3_longclick() throws Exception{
 //BA.debugLineNum = 162;BA.debugLine="Sub game3_LongClick";
 //BA.debugLineNum = 163;BA.debugLine="sm1.Show";
mostCurrent._sm1._show();
 //BA.debugLineNum = 164;BA.debugLine="sSelectGame = \"3\"";
mostCurrent._sselectgame = "3";
 //BA.debugLineNum = 165;BA.debugLine="End Sub";
return "";
}
public static String  _game4_click() throws Exception{
 //BA.debugLineNum = 126;BA.debugLine="Sub game4_Click";
 //BA.debugLineNum = 127;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 128;BA.debugLine="StartActivity(frmGame4)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame4.getObject()));
 //BA.debugLineNum = 129;BA.debugLine="End Sub";
return "";
}
public static String  _game4_longclick() throws Exception{
 //BA.debugLineNum = 166;BA.debugLine="Sub game4_LongClick";
 //BA.debugLineNum = 167;BA.debugLine="sm1.Show";
mostCurrent._sm1._show();
 //BA.debugLineNum = 168;BA.debugLine="sSelectGame = \"4\"";
mostCurrent._sselectgame = "4";
 //BA.debugLineNum = 169;BA.debugLine="End Sub";
return "";
}
public static String  _game5_click() throws Exception{
 //BA.debugLineNum = 134;BA.debugLine="Sub game5_Click";
 //BA.debugLineNum = 135;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 136;BA.debugLine="StartActivity(frmGame5)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame5.getObject()));
 //BA.debugLineNum = 137;BA.debugLine="End Sub";
return "";
}
public static String  _game5_longclick() throws Exception{
 //BA.debugLineNum = 170;BA.debugLine="Sub game5_LongClick";
 //BA.debugLineNum = 171;BA.debugLine="sm1.Show";
mostCurrent._sm1._show();
 //BA.debugLineNum = 172;BA.debugLine="sSelectGame = \"5\"";
mostCurrent._sselectgame = "5";
 //BA.debugLineNum = 173;BA.debugLine="End Sub";
return "";
}
public static String  _game6_click() throws Exception{
 //BA.debugLineNum = 130;BA.debugLine="Sub game6_Click";
 //BA.debugLineNum = 131;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 132;BA.debugLine="StartActivity(frmGame6)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame6.getObject()));
 //BA.debugLineNum = 133;BA.debugLine="End Sub";
return "";
}
public static String  _game6_longclick() throws Exception{
 //BA.debugLineNum = 174;BA.debugLine="Sub game6_LongClick";
 //BA.debugLineNum = 175;BA.debugLine="sm1.Show";
mostCurrent._sm1._show();
 //BA.debugLineNum = 176;BA.debugLine="sSelectGame = \"6\"";
mostCurrent._sselectgame = "6";
 //BA.debugLineNum = 177;BA.debugLine="End Sub";
return "";
}
public static String  _game7_click() throws Exception{
 //BA.debugLineNum = 142;BA.debugLine="Sub game7_Click";
 //BA.debugLineNum = 143;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 144;BA.debugLine="StartActivity(frmGame7)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame7.getObject()));
 //BA.debugLineNum = 145;BA.debugLine="End Sub";
return "";
}
public static String  _game7_longclick() throws Exception{
 //BA.debugLineNum = 178;BA.debugLine="Sub game7_LongClick";
 //BA.debugLineNum = 179;BA.debugLine="sm1.Show";
mostCurrent._sm1._show();
 //BA.debugLineNum = 180;BA.debugLine="sSelectGame = \"7\"";
mostCurrent._sselectgame = "7";
 //BA.debugLineNum = 181;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
frmgame1._process_globals();
common._process_globals();
settings._process_globals();
frmgame1_result._process_globals();
frmgame1_final._process_globals();
frmgame2._process_globals();
frmgame3._process_globals();
frmgame4._process_globals();
frmgame5._process_globals();
frmgame6._process_globals();
frmgame7._process_globals();
frmcontact._process_globals();
frmgame8._process_globals();
frmabout._process_globals();
frmgame9._process_globals();
setting._process_globals();
frmstatistic._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 18;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 19;BA.debugLine="Dim game1 As ImageView";
mostCurrent._game1 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Dim game3 As ImageView";
mostCurrent._game3 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Dim game4 As ImageView";
mostCurrent._game4 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Dim game6 As ImageView";
mostCurrent._game6 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Dim game5 As ImageView";
mostCurrent._game5 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 24;BA.debugLine="Dim game2 As ImageView";
mostCurrent._game2 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Dim game7 As ImageView";
mostCurrent._game7 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim Contact1 As ImageView";
mostCurrent._contact1 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim imgword As ImageView";
mostCurrent._imgword = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim imgbackground As ImageView";
mostCurrent._imgbackground = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Dim sm1 As SlideMenu";
mostCurrent._sm1 = new student.tutorial.slidemenu();
 //BA.debugLineNum = 30;BA.debugLine="Dim sSelectGame As String";
mostCurrent._sselectgame = "";
 //BA.debugLineNum = 31;BA.debugLine="End Sub";
return "";
}
public static String  _imgword_click() throws Exception{
 //BA.debugLineNum = 150;BA.debugLine="Sub imgword_Click";
 //BA.debugLineNum = 151;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 152;BA.debugLine="StartActivity(frmGame9)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame9.getObject()));
 //BA.debugLineNum = 153;BA.debugLine="End Sub";
return "";
}
public static String  _imgword_longclick() throws Exception{
 //BA.debugLineNum = 186;BA.debugLine="Sub imgword_LongClick";
 //BA.debugLineNum = 187;BA.debugLine="sm1.Show";
mostCurrent._sm1._show();
 //BA.debugLineNum = 188;BA.debugLine="sSelectGame = \"9\"";
mostCurrent._sselectgame = "9";
 //BA.debugLineNum = 189;BA.debugLine="End Sub";
return "";
}
public static String  _loadmenu() throws Exception{
 //BA.debugLineNum = 90;BA.debugLine="Sub loadMenu";
 //BA.debugLineNum = 91;BA.debugLine="Activity.AddMenuItem2(\"تنظیمات\",\"btnsetting\",LoadB";
mostCurrent._activity.AddMenuItem2("تنظیمات","btnsetting",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"setting.png").getObject()));
 //BA.debugLineNum = 92;BA.debugLine="Activity.AddMenuItem2(\"درباره ما\",\"btnabout\",LoadB";
mostCurrent._activity.AddMenuItem2("درباره ما","btnabout",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"about.png").getObject()));
 //BA.debugLineNum = 93;BA.debugLine="Activity.AddMenuItem2(\"خروج\",\"exit1\",LoadBitmap(Fi";
mostCurrent._activity.AddMenuItem2("خروج","exit1",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"exit.png").getObject()));
 //BA.debugLineNum = 94;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 14;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 16;BA.debugLine="End Sub";
return "";
}
public static String  _showhelp() throws Exception{
 //BA.debugLineNum = 68;BA.debugLine="Sub showHelp";
 //BA.debugLineNum = 69;BA.debugLine="Select Case sSelectGame";
switch (BA.switchObjectToInt(mostCurrent._sselectgame,"1","2","3","4","5","6","7","8","9")) {
case 0:
 //BA.debugLineNum = 71;BA.debugLine="Msgbox(\"در این بازی باید بزرگترین یا کوچکترین ا";
anywheresoftware.b4a.keywords.Common.Msgbox("در این بازی باید بزرگترین یا کوچکترین اعداد را"+anywheresoftware.b4a.keywords.Common.CRLF+"به ترتیب تشخیص و انتخاب کنید","راهنما",mostCurrent.activityBA);
 break;
case 1:
 //BA.debugLineNum = 73;BA.debugLine="Msgbox(\"این گزینه در واقع بازی نیست بلکه آموزش";
anywheresoftware.b4a.keywords.Common.Msgbox("این گزینه در واقع بازی نیست بلکه آموزش "+anywheresoftware.b4a.keywords.Common.CRLF+"جدول ضرب میباشد","راهنما",mostCurrent.activityBA);
 break;
case 2:
 //BA.debugLineNum = 75;BA.debugLine="Msgbox(\"در این بازی باید حاصل جمع تفریق یا شاید";
anywheresoftware.b4a.keywords.Common.Msgbox("در این بازی باید حاصل جمع تفریق یا شاید "+anywheresoftware.b4a.keywords.Common.CRLF+"هم ضرب و تقسیم رو انتخاب کنید","راهنما",mostCurrent.activityBA);
 break;
case 3:
 //BA.debugLineNum = 77;BA.debugLine="Msgbox(\"در این بازی باید بزرگتر یا کوچکتر یا تس";
anywheresoftware.b4a.keywords.Common.Msgbox("در این بازی باید بزرگتر یا کوچکتر یا تساوی "+anywheresoftware.b4a.keywords.Common.CRLF+"بودن اعداد را انتخاب کنید","راهنما",mostCurrent.activityBA);
 break;
case 4:
 //BA.debugLineNum = 79;BA.debugLine="Msgbox(\"در این بازی صدای عددی پخش خواهد شد و شم";
anywheresoftware.b4a.keywords.Common.Msgbox("در این بازی صدای عددی پخش خواهد شد و شما باید"+anywheresoftware.b4a.keywords.Common.CRLF+"تشخیص دهید کدام عدد است","راهنما",mostCurrent.activityBA);
 break;
case 5:
 //BA.debugLineNum = 81;BA.debugLine="Msgbox(\"در این بازی،صدای حیوانی پخش خواهد شد و\"";
anywheresoftware.b4a.keywords.Common.Msgbox("در این بازی،صدای حیوانی پخش خواهد شد و"+anywheresoftware.b4a.keywords.Common.CRLF+"شما باید تصویر حیوان را انتخاب کنید","راهنما",mostCurrent.activityBA);
 break;
case 6:
 //BA.debugLineNum = 83;BA.debugLine="Msgbox(\"در این بازی شما باید تصاویر متشابه را\"";
anywheresoftware.b4a.keywords.Common.Msgbox("در این بازی شما باید تصاویر متشابه را"+anywheresoftware.b4a.keywords.Common.CRLF+"انتخاب کنید تا بازی کامل شود","راهنما",mostCurrent.activityBA);
 break;
case 7:
 //BA.debugLineNum = 85;BA.debugLine="Msgbox(\"در این بازی تعدادی تصویر با تکرار شدن ن";
anywheresoftware.b4a.keywords.Common.Msgbox("در این بازی تعدادی تصویر با تکرار شدن نمایش"+anywheresoftware.b4a.keywords.Common.CRLF+"داده میشود و در آخر تصویری دلخواه انتخاب"+anywheresoftware.b4a.keywords.Common.CRLF+"میشود و شما باید تعداد تکرار تصویر را بگویید","راهنما",mostCurrent.activityBA);
 break;
case 8:
 //BA.debugLineNum = 87;BA.debugLine="Msgbox(\"در این بازی سوالی از شما پرسیده میشود و";
anywheresoftware.b4a.keywords.Common.Msgbox("در این بازی سوالی از شما پرسیده میشود و"+anywheresoftware.b4a.keywords.Common.CRLF+"شما باید حروف موجود در پاسخ را انتخاب کنید","راهنما",mostCurrent.activityBA);
 break;
}
;
 //BA.debugLineNum = 89;BA.debugLine="End Sub";
return "";
}
public static String  _slidemenu1_click(Object _item) throws Exception{
 //BA.debugLineNum = 45;BA.debugLine="Sub slidemenu1_Click(Item As Object)";
 //BA.debugLineNum = 46;BA.debugLine="Select Case Item";
switch (BA.switchObjectToInt(_item,(Object)("statistic"),(Object)("help"),(Object)("again"),(Object)("setting"),(Object)("about"),(Object)("exit"))) {
case 0:
 //BA.debugLineNum = 48;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 49;BA.debugLine="frmStatistic.sGameNumber = sSelectGame";
mostCurrent._frmstatistic._sgamenumber = mostCurrent._sselectgame;
 //BA.debugLineNum = 50;BA.debugLine="StartActivity(frmStatistic)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmstatistic.getObject()));
 break;
case 1:
 //BA.debugLineNum = 52;BA.debugLine="showHelp";
_showhelp();
 break;
case 2:
 //BA.debugLineNum = 54;BA.debugLine="Try";
try { //BA.debugLineNum = 55;BA.debugLine="File.Delete(File.DirInternal,\"settingGame\" & sS";
anywheresoftware.b4a.keywords.Common.File.Delete(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"settingGame"+mostCurrent._sselectgame+".app");
 //BA.debugLineNum = 56;BA.debugLine="ToastMessageShow(\"تمام مراحل این بازی حذف شد و";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("تمام مراحل این بازی حذف شد و از نو شروع میشود",anywheresoftware.b4a.keywords.Common.True);
 } 
       catch (Exception e41) {
			processBA.setLastException(e41); //BA.debugLineNum = 58;BA.debugLine="ToastMessageShow(\"Error In Reset Game Level\",Tr";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Error In Reset Game Level",anywheresoftware.b4a.keywords.Common.True);
 };
 break;
case 3:
 //BA.debugLineNum = 61;BA.debugLine="btnsetting_Click";
_btnsetting_click();
 break;
case 4:
 //BA.debugLineNum = 63;BA.debugLine="btnabout_Click";
_btnabout_click();
 break;
case 5:
 //BA.debugLineNum = 65;BA.debugLine="exit1_Click";
_exit1_click();
 break;
}
;
 //BA.debugLineNum = 67;BA.debugLine="End Sub";
return "";
}
}
